Lavalite package that provides davepro/podcast management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/davepro/podcast`.

    "litecms/davepro/podcast": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Davepro/podcast\Providers\Davepro/podcastServiceProvider::class,

And also add it to alias

    'Davepro/podcast'  => Litecms\Davepro/podcast\Facades\Davepro/podcast::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Davepro/podcast\\Seeders\\Davepro/podcastTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Davepro/podcast\Providers\Davepro/podcastServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Davepro/podcast\Providers\Davepro/podcastServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Davepro/podcast\Providers\Davepro/podcastServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/davepro/podcast/{modulename}

**User**

    http://path-to-route-folder/user/davepro/podcast/{modulename}

**Public**

    http://path-to-route-folder/davepro/podcasts


### API endpoints

**List**

    http://path-to-route-folder/api/user/davepro/podcast/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/davepro/podcast/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/davepro/podcast/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/davepro/podcast/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/davepro/podcast/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/davepro/podcast/{modulename}/{slug}
    METHOD: GET